This page was created by the IDL library routine `mk_html_help2`.

Last modified: Fri Oct 10 18:17:40 2025.

# Directory Listing of Routines

# projects/mms/edi

- MMS_EDI_SET_METADATA
  Helper routine for setting EDI metadata.
- MMS_LOAD_EDI
  Load data from the Electron Drift Instrument (EDI) onboard MMS

# Routine Descriptions

## MMS_EDI_SET_METADATA

[Next Routine] [List of Routines]

     PROCEDURE:
             mms_edi_set_metadata

     PURPOSE:
             Helper routine for setting EDI metadata.

    $LastChangedBy: egrimes $
    $LastChangedDate: 2019-10-29 13:43:21 -0700 (Tue, 29 Oct 2019) $
    $LastChangedRevision: 27943 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/mms/edi/mms_edi_set_metadata.pro $

(See projects/mms/edi/mms_edi_set_metadata.pro)

## MMS_LOAD_EDI

[Previous Routine] [List of Routines]

     PROCEDURE:
             mms_load_edi

     PURPOSE:
             Load data from the Electron Drift Instrument (EDI) onboard MMS

     KEYWORDS:
             trange:       time range of interest [starttime, endtime] with the format
                           ['YYYY-MM-DD','YYYY-MM-DD'] or to specify more or less than a day
                           ['YYYY-MM-DD/hh:mm:ss','YYYY-MM-DD/hh:mm:ss']
             probes:       list of probes, valid values for MMS probes are ['1','2','3','4'].
                           if no probe is specified the default is probe '1'
             level:        indicates level of data processing. Current level is ['ql','l1a'].
                           if no level is specified the routine defaults to 'ql' (for survey mode).
             datatype:     data types include currently include ['efield', 'amb'].
                           the default is 'efield'
             data_rate:    instrument data rates include ['brst', 'fast', 'slow', 'srvy'].
                           the default is 'srvy'
             local_data_dir: local directory to store the CDF files; should be set if you're on
                           *nix or OSX, the default currently assumes Windows (c:\data\mms\)
             source:       specifies a different system variable. By default the MMS mission
                           system variable is !mms
             get_support_data: load support data (defined by support_data attribute in the CDF)
             tplotnames:   names for tplot variables
             no_color_setup: don't setup graphics configuration; use this keyword when you're
                           using this load routine from a terminal without an X server running
                           do not set colors
             time_clip:    clip the data to the requested time range; note that if you do not
                           use this keyword you may load a longer time range than requested
             no_update:    set this flag to preserve the original data. if not set and newer
                           data is found the existing data will be overwritten
             suffix:       appends a suffix to the end of the tplot variable name. this is useful for
                           preserving original tplot variable.
             varformat:    should be a string (wildcards accepted) that will match the CDF variables
                           that should be loaded into tplot variables
             cdf_filenames:  this keyword returns the names of the CDF files used when loading the data
             cdf_version:  specify a specific CDF version # to load (e.g., cdf_version='4.3.0')
             latest_version: only grab the latest CDF version in the requested time interval
                           (e.g., /latest_version)
             major_version: only open the latest major CDF version (e.g., X in vX.Y.Z) in the requested time interval
             min_version:  specify a minimum CDF version # to load
             spdf:         grab the data from the SPDF instead of the LASP SDC (only works for public access)
             available:    returns a list of files available at the SDC for the requested parameters
                           this is useful for finding which files would be downloaded (along with their sizes) if
                           you didn't specify this keyword (also outputs total download size)
             versions:     this keyword returns the version #s of the CDF files used when loading the data
             always_prompt: set this keyword to always prompt for the user's username and password;
                           useful if you accidently save an incorrect password, or if your SDC password has changed
             tt2000: flag for preserving TT2000 timestamps found in CDF files (note that many routines in
                           SPEDAS (e.g., tplot.pro) do not currently support these timestamps)

     OUTPUT:

     EXAMPLE:
         See mms_load_edi_crib.pro for usage examples.

         load L2 EDI survey data
         MMS>  mms_load_edi, data_rate='srvy', probes=probe, datatype='efield', trange=['2015-09-03', '2015-09-04']

     NOTES:
        The MMS plug-in in SPEDAS requires IDL 8.4 to access data at the LASP SDC

        Have questions regarding this load routine, or its usage?
              https://groups.google.com/forum/#!forum/spedas

    $LastChangedBy: egrimes $
    $LastChangedDate: 2019-11-08 17:31:53 -0800 (Fri, 08 Nov 2019) $
    $LastChangedRevision: 27999 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/mms/edi/mms_load_edi.pro $

(See projects/mms/edi/mms_load_edi.pro)